Subject: Re: bug#55743: 28.1.50; No directory error in comp-run-async-workers

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Jun 2022 14:12:33 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 03 Jun 2022 10:49:13 +0300
> 
> >> >> But native compilation is more like infrastructure, and not a Lisp
> >> >> program.
> >> >
> >> > Yes.  But that is not relevant for the issue at hand.
> >>
> >> So you think that native compilation failure is a user error?
> >
> > No, I think it's an error in the command that caused default-directory
> > be set to a non-existent directory -- the error which you already
> > fixed.
> 
> I meant other cases such as M-: (setq default-directory "/non-existent/foo/bar") RET

Yes, I think it's a user error, similar to deleting a directory that
is the CWD of some shell.